# PSynonymColourRegistration Class Reference

Define synonym colour format registration. More...

`#include <vconvert.h>`

Inheritance diagram for PSynonymColourRegistration:

List of all members.

## Public Member Functions

| PSynonymColourRegistration (const char *srcFmt, const char *dstFmt)

## Protected Member Functions

virtual PColourConverter * | Create (const PVideoFrameInfo &src, const PVideoFrameInfo &dst) const

## Detailed Description

Define synonym colour format registration.

This is a class that defines for which no conversion is required between the specified colour format names.

## Constructor & Destructor Documentation

PSynonymColourRegistration::PSynonymColourRegistration | ( | const char * | srcFmt,
|  | const char * | dstFmt |
| ) |  |  |

## Member Function Documentation

virtual PColourConverter* PSynonymColourRegistration::Create | ( | const PVideoFrameInfo & | src,
|  | const PVideoFrameInfo & | dst |
| ) |  |  | const`[protected, virtual]`

Implements PColourConverterRegistration.

The documentation for this class was generated from the following file:

- vconvert.h